summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Bojan Popovic2014-01-09 18:10:58 +0100
committer Erik Hanson2014-01-30 06:20:57 +0100
commit517c7e1048fda65ec97ffc975d93c7b9a8e5a4e8 (patch)
treeb93ab179e2944eea90a840a84bc2405a4714504d /python
parentf7e948b0a753b19022740ec9ac8bd4b95e306bbc (diff)
downloadslackbuilds-517c7e1048fda65ec97ffc975d93c7b9a8e5a4e8.tar.gz
python/py3cairo: Added (Python 3.x bindings for cairo).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/py3cairo/README8
-rw-r--r--python/py3cairo/py3cairo.SlackBuild102
-rw-r--r--python/py3cairo/py3cairo.info11
-rw-r--r--python/py3cairo/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/python/py3cairo/README b/python/py3cairo/README
new file mode 100644
index 0000000000..5e237fabd8
--- /dev/null
+++ b/python/py3cairo/README
@@ -0,0 +1,8 @@
+Py3cairo is a Python 3.x binding for the Cairo graphics library.
+The Pycairo bindings are designed to match the cairo C API as closely as
+possible, and to deviate only in cases which are clearly better
+implemented in a more 'Pythonic' way.
+
+This requires python3.
+
+Py3cairo is safe to install beside Slackware's pycairo package (Python 2.7).
diff --git a/python/py3cairo/py3cairo.SlackBuild b/python/py3cairo/py3cairo.SlackBuild
new file mode 100644
index 0000000000..6a4baedc24
--- /dev/null
+++ b/python/py3cairo/py3cairo.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for py3cairo
+# Copyright 2014, Bojan Popovic <bocke@slackware-srbija.org>, Belgrade, Serbia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=py3cairo
+SRCNAM=pycairo
+VERSION=${VERSION:-1.10.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING* AUTHORS INSTALL NEWS README doc examples"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PYTHON="/usr/bin/python3" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+python3 ./waf configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+python3 ./waf build
+DESTDIR=$PKG python3 ./waf install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
diff --git a/python/py3cairo/py3cairo.info b/python/py3cairo/py3cairo.info
new file mode 100644
index 0000000000..2718d5eb43
--- /dev/null
+++ b/python/py3cairo/py3cairo.info
@@ -0,0 +1,11 @@
+PRGNAM="py3cairo"
+VERSION="1.10.0"
+HOMEPAGE="http://cairographics.org/pycairo/"
+DOWNLOAD="http://cairographics.org/releases/pycairo-1.10.0.tar.bz2"
+MD5SUM="e6fd3f2f1e6a72e0db0868c4985669c5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3"
+MAINTAINER="Bojan Popovic"
+EMAIL="bocke@slackware-srbija.org"
+
diff --git a/python/py3cairo/slack-desc b/python/py3cairo/slack-desc
new file mode 100644
index 0000000000..a05c180740
--- /dev/null
+++ b/python/py3cairo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+py3cairo: py3cairo (Python 3.x bindings for cairo)
+py3cairo:
+py3cairo: Pycairo is a Python binding for the cairo graphics library.
+py3cairo: The Pycairo bindings are designed to match the cairo C API as closely
+py3cairo: as possible, and to deviate only in cases which are clearly better
+py3cairo: implemented in a more 'Pythonic' way.
+py3cairo:
+py3cairo:
+py3cairo:
+py3cairo: Home Page: http://cairographics.org/pycairo/
+py3cairo: